import { Component, JSX } from "solid-js";
import { SpacingOptions } from "./spacing-constants";
import { StackProps } from "./stack";
import { HeadlessPropsWithRef, ValidConstructor } from "./typeUtils";
interface ColumnsBase {
    gutter?: SpacingOptions;
    columns?: number;
    dense?: boolean;
}
export declare type ColumnsBaseProps<T extends ValidConstructor = "div"> = HeadlessPropsWithRef<T, ColumnsBase>;
export declare function ColumnsBase<T extends ValidConstructor = "div">(props: ColumnsBaseProps<T>): JSX.Element;
export interface ColumnsProps extends StackProps, ColumnsBaseProps {
    switchAt?: number | string;
}
export declare const Columns: Component<ColumnsProps>;
export interface ColumnBaseProps {
    span?: number;
    offsetStart?: number;
    offsetEnd?: number;
}
export declare type ColumnProps<T extends ValidConstructor = "div"> = HeadlessPropsWithRef<T, ColumnBaseProps>;
export declare function Column<T extends ValidConstructor = "div">(props: ColumnProps<T>): JSX.Element;
export {};
