import { Component, JSXElement } from "solid-js";
import { CSSLength, SpacingOptions } from "./spacing-constants";
import { HeadlessPropsWithRef, ValidConstructor } from "./typeUtils";
declare type MinHeight = CSSLength | number;
interface CoverWrapperBaseProps {
    gutter?: SpacingOptions;
    minHeight?: MinHeight;
    stretchContent?: boolean;
}
export declare type CoverWrapperProps<T extends ValidConstructor = "div"> = HeadlessPropsWithRef<T, CoverWrapperBaseProps>;
export interface CoverProps extends CoverWrapperProps {
    top?: JSXElement;
    bottom?: JSXElement;
}
export declare const Cover: Component<CoverProps & {
    children?: JSXElement;
}>;
export {};
