import { JSX } from "solid-js";
import { HeadlessPropsWithRef, ValidConstructor } from "./typeUtils";
declare type RatioString = `${number}/${number}` | `${number} / ${number}`;
declare type Ratio = [number, number] | RatioString;
export interface FrameBaseProps {
    ratio?: Ratio;
    position?: string;
}
export declare type FrameProps<T extends ValidConstructor = "div"> = HeadlessPropsWithRef<T, FrameBaseProps>;
export declare function Frame<T extends ValidConstructor = "div">(props: FrameProps<T>): JSX.Element;
export {};
