import { JSX } from "solid-js";
import { SpacingOptions } from "./spacing-constants";
import { HeadlessPropsWithRef, ValidConstructor } from "./typeUtils";
declare type PaddingObj = {
    left: SpacingOptions;
} | {
    right: SpacingOptions;
} | {
    top: SpacingOptions;
} | {
    bottom: SpacingOptions;
} | {
    inlineStart: SpacingOptions;
} | {
    inlineEnd: SpacingOptions;
} | {
    blockStart: SpacingOptions;
} | {
    blockEnd: SpacingOptions;
};
declare type PaddingTypes = SpacingOptions | PaddingObj | [SpacingOptions] | [SpacingOptions, SpacingOptions] | [SpacingOptions, SpacingOptions, SpacingOptions] | [SpacingOptions, SpacingOptions, SpacingOptions, SpacingOptions];
export interface PadBoxBaseProps {
    padding: PaddingTypes;
}
export declare type PadBoxProps<T extends ValidConstructor = "div"> = HeadlessPropsWithRef<T, PadBoxBaseProps>;
export declare function PadBox<T extends ValidConstructor = "div">(props: PadBoxProps<T>): JSX.Element;
export {};
