import { Component, JSX } from "solid-js";
import { CSSLength, SpacingOptions } from "./spacing-constants";
import { StackProps } from "./stack";
import { HeadlessPropsWithRef, ValidConstructor } from "./typeUtils";
declare type FractionTypes = "auto-start" | "auto-end" | "1/4" | "1/3" | "1/2" | "2/3" | "3/4";
interface SplitBase {
    gutter?: SpacingOptions;
    fraction?: FractionTypes;
}
export declare type SplitBaseProps<T extends ValidConstructor = "div"> = HeadlessPropsWithRef<T, SplitBase>;
export declare function SplitBase<T extends ValidConstructor = "div">(props: SplitBaseProps<T>): JSX.Element;
export interface SplitProps extends StackProps, SplitBaseProps {
    switchAt?: number | CSSLength;
}
export declare const Split: Component<SplitProps>;
export {};
